Also, having issues with Mac Install, launch

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Also, having issues with Mac Install, launch

Sunderlin, Mark
In Squirrel-sql-users Digest, Vol 93, Issue 6, Brenda Bell <[hidden email]> wrote:

>I previously installed 3.5.0 and it was working. I downloaded the 3.5.2 installer, installed it and it won?t launch ? double-click the app, the icon pops up and the app immediately shuts down.
>I'm installing on Mac OS X 10.8.5. There are messages in my console that say this:
>
> com.apple.launchd.peruser.1707185552[402] ([0x0-0xfbfb3].SquirreLSQL[69262]): Exited with code: 1
>
>I removed the existing app and tried again ? same results.
>
>Ideas?

No ideas, but I am having the exact same issue.  I ran squirrel.sh directly from the terminal and here is the java exception I got:

us158215:MacOS mesunderlin$ ./squirrel-sql.sh

./squirrel-sql.sh: line 26: Plug-Ins/JavaAppletPlugin.plugin/Contents/Home: No such file or directory
Exception in thread "main" java.lang.UnsupportedClassVersionError: net/sourceforge/squirrel_sql/client/Main : Unsupported major.minor version 51.0
at java.lang.ClassLoader.defineClass1(Native Method)
at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
at java.lang.ClassLoader.loadClass(ClassLoader.java:247)

Does this clue anyone into what Brenda and I am experiencing?

--
Mark E. Sunderlin
Data Architect     | AOL NETWORKS
P: 703-265-6935 | C: 540-327-6222 | AIM: MESunderlin
22000 AOL Way,  Dulles, VA  20166




------------------------------------------------------------------------------
Learn Graph Databases - Download FREE O'Reilly Book
"Graph Databases" is the definitive new guide to graph databases and their
applications. Written by three acclaimed leaders in the field,
this first edition is now available. Download your free book today!
http://p.sf.net/sfu/13534_NeoTech
_______________________________________________
Squirrel-sql-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/squirrel-sql-users
Reply | Threaded
Open this post in threaded view
|

Re: Also, having issues with Mac Install, launch

Maury Hammel
The error is telling you that the version of the JVM you are running on
your computer is too old to handle the version of the compiled Java
code.  From what I could find via Google, '51.0' indicates that Squirrel
is compiled be used with java 1.7.

What does 'java -version' on your computer show?

Maury

On 26/03/2014 1:27 PM, Sunderlin, Mark wrote:

> In Squirrel-sql-users Digest, Vol 93, Issue 6, Brenda Bell <[hidden email]> wrote:
>
>> I previously installed 3.5.0 and it was working. I downloaded the 3.5.2 installer, installed it and it won?t launch ? double-click the app, the icon pops up and the app immediately shuts down.
>> I'm installing on Mac OS X 10.8.5. There are messages in my console that say this:
>>
>> com.apple.launchd.peruser.1707185552[402] ([0x0-0xfbfb3].SquirreLSQL[69262]): Exited with code: 1
>>
>> I removed the existing app and tried again ? same results.
>>
>> Ideas?
> No ideas, but I am having the exact same issue.  I ran squirrel.sh directly from the terminal and here is the java exception I got:
>
> us158215:MacOS mesunderlin$ ./squirrel-sql.sh
>
> ./squirrel-sql.sh: line 26: Plug-Ins/JavaAppletPlugin.plugin/Contents/Home: No such file or directory
> Exception in thread "main" java.lang.UnsupportedClassVersionError: net/sourceforge/squirrel_sql/client/Main : Unsupported major.minor version 51.0
> at java.lang.ClassLoader.defineClass1(Native Method)
> at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
> at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
> at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
> at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
> at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
> at java.security.AccessController.doPrivileged(Native Method)
> at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
> at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
>
> Does this clue anyone into what Brenda and I am experiencing?
>
> --
> Mark E. Sunderlin
> Data Architect     | AOL NETWORKS
> P: 703-265-6935 | C: 540-327-6222 | AIM: MESunderlin
> 22000 AOL Way,  Dulles, VA  20166
>
>
>
>
> ------------------------------------------------------------------------------
> Learn Graph Databases - Download FREE O'Reilly Book
> "Graph Databases" is the definitive new guide to graph databases and their
> applications. Written by three acclaimed leaders in the field,
> this first edition is now available. Download your free book today!
> http://p.sf.net/sfu/13534_NeoTech
> _______________________________________________
> Squirrel-sql-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/squirrel-sql-users
>


------------------------------------------------------------------------------
_______________________________________________
Squirrel-sql-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/squirrel-sql-users
Reply | Threaded
Open this post in threaded view
|

Re: Also, having issues with Mac Install, launch

Gerd Wagner-3
Hi,

I just released a snapshot that is again compatible with Java 1.6.

See
http://www.squirrelsql.org/#latestnews

Gerd


Am 28.03.2014 23:27, schrieb Maury Hammel:

> The error is telling you that the version of the JVM you are running on
> your computer is too old to handle the version of the compiled Java
> code.  From what I could find via Google, '51.0' indicates that Squirrel
> is compiled be used with java 1.7.
>
> What does 'java -version' on your computer show?
>
> Maury
>
> On 26/03/2014 1:27 PM, Sunderlin, Mark wrote:
>> In Squirrel-sql-users Digest, Vol 93, Issue 6, Brenda Bell <[hidden email]> wrote:
>>
>>> I previously installed 3.5.0 and it was working. I downloaded the 3.5.2 installer, installed it and it won?t launch ? double-click the app, the icon pops up and the app immediately shuts down.
>>> I'm installing on Mac OS X 10.8.5. There are messages in my console that say this:
>>>
>>> com.apple.launchd.peruser.1707185552[402] ([0x0-0xfbfb3].SquirreLSQL[69262]): Exited with code: 1
>>>
>>> I removed the existing app and tried again ? same results.
>>>
>>> Ideas?
>> No ideas, but I am having the exact same issue.  I ran squirrel.sh directly from the terminal and here is the java exception I got:
>>
>> us158215:MacOS mesunderlin$ ./squirrel-sql.sh
>>
>> ./squirrel-sql.sh: line 26: Plug-Ins/JavaAppletPlugin.plugin/Contents/Home: No such file or directory
>> Exception in thread "main" java.lang.UnsupportedClassVersionError: net/sourceforge/squirrel_sql/client/Main : Unsupported major.minor version 51.0
>> at java.lang.ClassLoader.defineClass1(Native Method)
>> at java.lang.ClassLoader.defineClassCond(ClassLoader.java:637)
>> at java.lang.ClassLoader.defineClass(ClassLoader.java:621)
>> at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:141)
>> at java.net.URLClassLoader.defineClass(URLClassLoader.java:283)
>> at java.net.URLClassLoader.access$000(URLClassLoader.java:58)
>> at java.net.URLClassLoader$1.run(URLClassLoader.java:197)
>> at java.security.AccessController.doPrivileged(Native Method)
>> at java.net.URLClassLoader.findClass(URLClassLoader.java:190)
>> at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
>> at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:301)
>> at java.lang.ClassLoader.loadClass(ClassLoader.java:247)
>>
>> Does this clue anyone into what Brenda and I am experiencing?
>>
>> --
>> Mark E. Sunderlin
>> Data Architect     | AOL NETWORKS
>> P: 703-265-6935 | C: 540-327-6222 | AIM: MESunderlin
>> 22000 AOL Way,  Dulles, VA  20166
>>
>>
>>
>>
>> ------------------------------------------------------------------------------
>> Learn Graph Databases - Download FREE O'Reilly Book
>> "Graph Databases" is the definitive new guide to graph databases and their
>> applications. Written by three acclaimed leaders in the field,
>> this first edition is now available. Download your free book today!
>> http://p.sf.net/sfu/13534_NeoTech
>> _______________________________________________
>> Squirrel-sql-users mailing list
>> [hidden email]
>> https://lists.sourceforge.net/lists/listinfo/squirrel-sql-users
>>
>
>
> ------------------------------------------------------------------------------
> _______________________________________________
> Squirrel-sql-users mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/squirrel-sql-users
>

------------------------------------------------------------------------------
_______________________________________________
Squirrel-sql-users mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/squirrel-sql-users